<?php
/**
 * Fonts
 *
 * @package    Silver
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2016, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

if ( ! function_exists( 'silver_customizer_fonts' ) && class_exists( 'Customizer_Library_Styles' ) ) :
/**
 * Process user options to generate CSS needed to implement the choices.
 *
 * @since  1.0.0
 */
function silver_customizer_fonts() {

	// Text font
	$text  = silver_mod( PREFIX . 'text-font' );
	$stack = customizer_library_get_font_stack( $text );

	if ( $text !== customizer_library_get_default( PREFIX . 'text-font' ) ) {

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'body'
			),
			'declarations' => array(
				'font-family' => $stack
			)
		) );
	}

	// Heading font
	$heading = silver_mod( PREFIX . 'heading-font' );
	$stack   = customizer_library_get_font_stack( $heading );

	if ( $heading !== customizer_library_get_default( PREFIX . 'heading-font' ) ) {

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'h1',
				'h2',
				'h3',
				'h4',
				'h5',
				'h6',
			),
			'declarations' => array(
				'font-family' => $stack
			)
		) );
	}

	// Heading font
	$elements = silver_mod( PREFIX . 'elements-font' );
	$stack   = customizer_library_get_font_stack( $elements );

	if ( $elements !== customizer_library_get_default( PREFIX . 'elements-font' ) ) {

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.meta',
				'.sf',
				'.btn',
				'.button',
				'.btn-cta',
				'.btn-action',
				'.btn-clear',
				'a.more_notes_link',
				'.nav-links',
				'.tagline',
				'.credits',
				'.pagination-links',
				'.post-tag',
			),
			'declarations' => array(
				'font-family' => $stack
			)
		) );
	}

}
endif;
add_action( 'silver_customizer_library_styles', 'silver_customizer_fonts' );

if ( ! function_exists( 'silver_enqueue_fonts' ) ) :
/**
 * Enqueue Google Fonts
 *
 * @since  1.0.0
 */
function silver_enqueue_fonts() {

	// Font options
	$fonts = array(
		silver_mod( PREFIX . 'text-font' ),
		silver_mod( PREFIX . 'heading-font' ),
		silver_mod( PREFIX . 'elements-font' ),
	);

	$font_uri = customizer_library_get_google_font_uri( $fonts );

	// Load Google Fonts
	wp_enqueue_style( 'silver-custom-fonts', $font_uri, array(), null );

}
endif;
add_action( 'wp_enqueue_scripts', 'silver_enqueue_fonts' );
